<?php
function seatt_form($event_id) {
global $wpdb;
global $current_user;
get_currentuserinfo();

// If submitted, remove registration
if (isset($_POST['seatt_unregister'])) {
	$wpdb->query("DELETE FROM ".$wpdb->prefix."seatt_attendees WHERE user_id = ".$current_user->ID." AND event_id = $event_id");
}

// If submitted, add registration
if (isset($_POST['seatt_register'])) {
	$registered = $wpdb->get_var("SELECT user_id FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id." AND user_id = ".$current_user->ID);
	if ($registered == "") {
	$user_comment = $_POST['seatt_comment'];
	$user_comment = $wpdb->escape($user_comment);
	$wpdb->insert($wpdb->prefix.'seatt_attendees', array( 'event_id' => $event_id, 'user_id' => $current_user->ID, 'user_comment' => $user_comment ) );
	}
}

// Get event details
$event = $wpdb->get_results("SELECT id, event_name, event_desc, event_limit, event_expire, event_status FROM ".$wpdb->prefix."seatt_events WHERE id = $event_id ORDER BY id DESC");

// Check details - make sure it's valid
if ($event[0]->id != "") {
$attendees = $wpdb->get_var("SELECT COUNT(user_id) FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id);
if ($attendees == '') {
	$attendees = 0;
}
if (($event[0]->event_limit == 0) OR ($event[0]->event_limit == "")) { 
	$event[0]->event_limit = 100000; 
}
?>
<p><strong>Registration for:</strong> <?php echo $event[0]->event_name; ?><br>
  <strong>Description:</strong> <?php echo $event[0]->event_desc; ?>
  <?php if ($event[0]->event_limit != 100000) { ?><br>
<strong>Max Participants:</strong> <?php echo $event[0]->event_limit; } ?></p>
<table width="455" border="0" align="left" cellpadding="5" cellspacing="5">
		    <tr>
		      <th width="111" align="left" scope="col">Participant #</th>
		      <th width="309" align="left" scope="col">Username</th>
  </tr>
		    <?php
		  $users = $wpdb->get_results("SELECT id, user_id FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id." ORDER BY id ASC");
		  $num = 1;
	foreach ($users as $user) {
		$user_info = get_userdata($user->user_id);
		  ?>
		    <tr>
		      <td><?php echo $num; ?></td>
		      <td><?php echo $user_info->user_login; ?></td>
	        </tr>
		    <?php
			$num++;
	}
	?>
</table>

<?php
// Check if user has already registered
$attending = $wpdb->get_results("SELECT user_id, user_comment FROM ".$wpdb->prefix."seatt_attendees WHERE event_id = ".$event_id." AND user_id = ".$current_user->ID);
$current_time = time();
if (($event[0]->event_status != 1) OR ($current_time >= $event[0]->event_expire)) {
	?>
	<p><strong>Registration is currently closed.</strong></p>
    <?php
}
// Check if user logged in
elseif (!is_user_logged_in()) {
	?>
<p><strong>Please login to register for this event. </strong></p>
		  <?php 
	} elseif ($attending) {
		// if they have already signed up
		?>
        <p><strong>You're currently registered. Unregister?</strong></p>
<form name="seatt_unregister" method="post" action="http://<?php echo $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"] ?>">
  <p>Username: 
<label for="seatt_username"></label>
        <input name="seatt_username" type="text" disabled id="seatt_username" value="<?php echo $current_user->user_login; ?>" size="40" readonly="readonly">
      </p>
  <p>Comment: 
<label for="seatt_comment"></label>
        <input name="seatt_comment" type="text" disabled id="seatt_comment" value="<?php echo $attending[0]->user_comment; ?>" size="40" maxlength="40" readonly="readonly">
  </p>
      <p>
        <input type="submit" name="seatt_unregister" id="seatt_unregister" value="Unregister">
      </p>
    </form>
        <?php
	} elseif ($attendees >= $event[0]->event_limit) { 
	?>
<p><strong>Unfortunately all places are already reserved. </strong></p>
	  <?php
	} else {
	?>
    <strong>Register for this event:</strong>
	    </p>

    <form name="seatt_register" method="post" action="http://<?php echo $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"] ?>">
      <p>Username: 
        <label for="seatt_username"></label>
        <input name="seatt_username" type="text" disabled id="seatt_username" value="<?php echo $current_user->user_login; ?>" size="40" readonly="readonly">
      </p>
      <p>Comment: 
        <label for="seatt_comment"></label>
        <input name="seatt_comment" type="text" id="seatt_comment" size="40" maxlength="40">
      </p>
      <p>
        <input type="submit" name="seatt_register" id="seatt_register" value="Register">
      </p>
    </form>
    <p>&nbsp;</p>
    <?php	
	}
} //End if no results
}
?>